# string::trim

Returns the given string trimmed of whitespace.

### Usage

`string string::trim(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | input string

### Return Value

The string s with any leading or trailing white space characters removed.

### Examples

-     string::trim('  test  ') ==> 'test'

-     string::trim('\t\tfoo  \r\n') ==> 'foo'

### Requirements

Assembly: NAnt.Core (0.90.3780.0)